List Offerings
curl --request GET \
--url https://api.example.com/api/v1/ops/offeringsimport requests
url = "https://api.example.com/api/v1/ops/offerings"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/ops/offerings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tripItineraryId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"fromStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"toStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"price": 15000,
"fromStop": {
"tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"stopOrder": 1,
"point": {
"name": "São Paulo",
"pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"description": "Terminal Rodoviário Tietê",
"lat": -23.5155,
"lng": -46.6254
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": null,
"updatedBy": null,
"arrivalAt": "2026-04-15T10:00:00.000Z",
"departureAt": "2026-04-15T10:15:00.000Z"
},
"toStop": {
"tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"stopOrder": 1,
"point": {
"name": "São Paulo",
"pointId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"description": "Terminal Rodoviário Tietê",
"lat": -23.5155,
"lng": -46.6254
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": null,
"updatedBy": null,
"arrivalAt": "2026-04-15T10:00:00.000Z",
"departureAt": "2026-04-15T10:15:00.000Z"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"availableSeats": 12,
"availableSeatsStatus": "AVAILABLE",
"trip": {
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"routeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"vehicleId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"driverId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"status": "SCHEDULED",
"events": [
{
"tripEventId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tripId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"type": "DEPARTURE_DELAYED",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"tripStopId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"description": "Departure delayed by 15 minutes due to traffic",
"metadata": {},
"createdBy": null,
"updatedBy": null
}
],
"departureAt": "2026-04-15T08:00:00.000Z",
"estimatedArrivalAt": "2026-04-15T14:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organization": {
"name": "Cooperativa Metropolitana",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png"
}
},
"transportOperator": {
"document": "12345678000190",
"documentType": "CNPJ",
"legalName": "Joao Silva Transportes Ltda",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tradeName": "Silva Transportes"
},
"tripScheduleId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"createdBy": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"updatedBy": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3e",
"deletedBy": null
},
"createdBy": null,
"updatedBy": null,
"deletedBy": null
}
],
"meta": {
"hasMore": true,
"limit": 10,
"nextCursor": "123"
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Internal Server Error",
"statusCode": 500
}Offerings
List Offerings
Lists offerings.
GET
/
api
/
v1
/
ops
/
offerings
List Offerings
Query Parameters
Items per page
Example:
10
Cursor to end before
Example:
"123"
Cursor to start after
Example:
"123"
Free-text filter over origin and destination names
Example:
"São Paulo"
Origin point identifier
Destination point identifier
Origin name or description
Example:
"São Paulo"
Destination name or description
Example:
"Rio de Janeiro"
Departure date from
Example:
"2026-04-15T00:00:00.000Z"
Departure date to
Example:
"2026-04-16T00:00:00.000Z"
Field to sort by
Available options:
departureAt, price, createdAt Example:
"departureAt"
Sort order
Available options:
asc, desc Example:
"asc"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
⌘I